

(define (amr:media-url callsign)
  (alist-let (json-decode
              (get-url
               (str* "http://" callsign ".player.amri.ca/player/config"
                     "/version2/live/config.json")))
      ((server ("akamaiAudio_serverMount")) (stream ("AAC_Audio_stream")))
    (str* "rtmp://" (list-ref server 0) stream)))

(define (amr:whats-on id)
  (alist-let
      (xml->sexp
       (get-url (str* "http://a3.myastralmediaradio.com/nowplaying/s" id ".xml")
                coding: "latin1"))
      ((artist car (nowplaying onair artist))
       (title car (nowplaying onair song)))
    (metaf (url-unquote artist) (url-unquote title))))
