(define (cc:callsign->id callsign)
  (define field
    (let ((result
           (alist-get
            "bestMatch"
            (cdr
             (json-decode
              (get-url
               (str*
                "https://api2.iheart.com/api/v1/catalog/searchAll?keywords="
                callsign
                "&queryStation=true&maxRows=1")))))))
      (lambda (x)
        (alist-get x result))))
  (and
   (equal? "STATION" (field "objType"))
   (= 1 (field "confidenceVal"))
   (field "id")))

(define (cc:media-url cid)
  (let ((id (cc:callsign->id cid)))
    (alist-get*
     '("streams" "secure_rtmp_stream")
     (car
      (alist-get
       "hits"
       (json-decode
        (get-url
         (str* "https://api2.iheart.com/api/v2/content/liveStations/" id))))))))
