(define (cid->description cid)
  (or (alist-get cid '(("1907644740" . "The Best in Hip Hop and Rap")
                       ("850377837" . "The Best in RnB and Soul")
                       ("1781596043" . "The Best in Pop")
                       ("1072168283" . "Top Hits")
                       ("138080853" . "Best in Dance and Electronic")
                       ("612578376" . "Best Rock and Alternative")
                       ("10" . "Top 40 Hits")
                       ("1120309038" . "Contemporary Lounge and Chillout")
                       ("1947139847" . "Newest Mixes from coolest DJ's")
                       ("1378634725" . "Best Love Songs")
                       ("1332572254" . "Artists of the Week")
                       ("1293381027" . "Best Artists, Live!")
                       ("5632452377" . "Finland's Hits Only!")
                       ("24" . "Calm Favourites")))
      "Top 40 Hits"))

(define (nrj:get-channels channels-xml-url)
  (let ((counter (make-counter 0)))
    (rxmatch-map
     (rx "<radio .*?name=\"(.*?)\".*?code=\"(.*?)\".*?&id=(.*?)\".*?/>")
     (get-url channels-xml-url)
     (lambda (name code cid)
       (list (str* code "-" cid) (counter)
             (regexp-replace (rx/i "nrj") (string-titlecase name) "NRJ")
             (cid->description cid)
             "")))))

(define (nrj:media-url cid country-code)
  (rxmatch-let ((rx "fserver=\"(.*?)\".*?fstream=\"(.*?)\"")
                (get-url (str* "http://radio.nrj.net/"
                               (car (string-split cid "-"))
                               "/rtmp/1/" country-code)))
      (_ server stream)
    (str* server "/" stream)))
