(bee:use lastfm)

(define (scrobble key secret user pass op #!optional artist title)
  (receive (lfm error) (lfm:make-session key secret user pass)
    (or error
        (let1 lfmdo (lambda (proc . rest) (apply proc `(,lfm ,artist ,title ,@rest)))
          (case (string->symbol op)
            ((now-playing) (lfmdo lfm:nowplaying))
            ((scrobble) (lfmdo lfm:scrobble (- (sys-time) 100)))
            ((love) (lfmdo lfm:track-love)))
          (if (lfm:good? lfm) "mkay" (lfm:fail-reason lfm))))))
